import { UiSchema } from '@genesislcap/foundation-forms';
import { JSONSchema7 } from 'json-schema';
export declare const uiSchema: {
    type: string;
    dsPrefix: string;
    elements: {
        type: string;
        label: string;
        elements: {
            type: string;
            elements: ({
                type: string;
                scope: string;
                label: string;
                options?: undefined;
            } | {
                type: string;
                scope: string;
                options: {
                    data: {
                        name: string;
                        value: string;
                    }[];
                    valueField: string;
                    labelField: string;
                };
                label: string;
            })[];
        }[];
    }[];
};
export declare const JSON_SCHEMA: JSONSchema7;
export declare const uiSchemaArray: UiSchema;
export declare const JSON_SCHEMA_ARRAY: JSONSchema7;
//# sourceMappingURL=json_schema.d.ts.map