import { FASTElement } from '@microsoft/fast-element';
import { JSONSchema7 } from 'json-schema';
export declare class PreviewForm extends FASTElement {
    jsonSchema: JSONSchema7;
    uischema: {
        type: string;
        dsPrefix: string;
        elements: {
            type: string;
            label: string;
            elements: {
                type: string;
                elements: ({
                    type: string;
                    scope: string;
                    label: string;
                    options?: undefined;
                } | {
                    type: string;
                    scope: string;
                    options: {
                        data: {
                            name: string;
                            value: string;
                        }[];
                        valueField: string;
                        labelField: string;
                    };
                    label: string;
                })[];
            }[];
        }[];
    };
    jsonSchemaArray: JSONSchema7;
    uiSchemaArray: import("@genesislcap/foundation-forms").UiSchema;
    prefix: string;
    provider: HTMLElement;
    editedEntity: any;
    editedEntityArray: any;
    connectedCallback(): void;
    private handleStyleChanges;
    private handleDSChanges;
}
//# sourceMappingURL=preview-form.d.ts.map